on:
  push:
    branches:
      - mia

jobs:
  deploy:
    runs-on: docker
    steps:
      - uses: https://code.forgejo.org/actions/checkout@v4

      - name: Setup Node
        uses: https://code.forgejo.org/actions/setup-node@v4
        with:
          node-version: "22"

      - name: Setup Go
        uses: https://code.forgejo.org/actions/setup-go@v3
        with:
          go-version: "1.21"

      - name: Install Dependencies
        run: npm install

      - name: Build
        run: npm run build
        
      - name: Deploy
        uses: https://forge.monodon.me/pages/codeberg-pages-deploy@v1
        with:
          folder: ./out
          force: true
